Bug 384134 - Akregator crashes during startup.
Summary: Akregator crashes during startup.
Status: RESOLVED WORKSFORME
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: 5.6.0
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2017-08-29 10:48 UTC by Przemysław Pintal
Modified: 2018-08-02 16:46 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (25.65 KB, text/plain)
2017-11-25 09:13 UTC, Anton Yashin
Details
New crash information added by DrKonqi (25.65 KB, text/plain)
2017-11-25 09:13 UTC, Anton Yashin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Przemysław Pintal 2017-08-29 10:48:02 UTC
Application: akregator (5.6.0)

Qt Version: 5.9.1
Frameworks Version: 5.37.0
Operating System: Linux 4.12.8-1-default x86_64
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
Akregator always crushes during every startup. Also it often crashes when when I'm using the program. Very often loses an OPML file - it restores the default feed and I have to restore my RSS feeds from backup.

The crash can be reproduced every time.

-- Backtrace:
Application: Akregator (akregator), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f90eb5ede00 (LWP 2321))]

Thread 23 (Thread 0x7f9057c5a700 (LWP 2423)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d419c8e4 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f90d419c929 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f9059972700 (LWP 2417)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f88e45 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f89327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f8a0c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f90727fc700 (LWP 2416)):
#0  0x00007f90e73d711b in poll () from /lib64/libc.so.6
#1  0x00007f90dfa00d29 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f90dfa00e3c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f90e7d076ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f90e7cb035a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f90e7ae031a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f90e7ae4d2e in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f9072ffd700 (LWP 2414)):
#0  0x00007f90e73d711b in poll () from /lib64/libc.so.6
#1  0x00007f90d0af7881 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f90d0ae9240 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f90d0ae98d0 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f90d0ae9960 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f90d0af77c9 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f90c98d3478 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-10.99.so
#7  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f90737fe700 (LWP 2413)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f88e45 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f89327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f8a0c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f9073fff700 (LWP 2412)):
#0  0x00007f90e18788bc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6fb7732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f7e83e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f5968b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d6f8a686 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f9080ff9700 (LWP 2411)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d77f1f50 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f8a0c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f90817fa700 (LWP 2410)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f7e8b9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f7e8e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f5963b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d6f8a686 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f9081ffb700 (LWP 2409)):
#0  0x00007f90e741edb4 in __strcmp_ssse3 () from /lib64/libc.so.6
#1  0x00007f90e7319f47 in transcmp () from /lib64/libc.so.6
#2  0x00007f90e73dd7fb in tfind () from /lib64/libc.so.6
#3  0x00007f90e731ade3 in __dcigettext () from /lib64/libc.so.6
#4  0x00007f90e7372258 in strerror_r () from /lib64/libc.so.6
#5  0x00007f90e737217f in strerror () from /lib64/libc.so.6
#6  0x00007f90cdc47251 in event_warn () from /usr/lib64/libevent-2.1.so.6
#7  0x00007f90cdc48b8c in ?? () from /usr/lib64/libevent-2.1.so.6
#8  0x00007f90cdc3e834 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#9  0x00007f90d6f59c39 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f90d680fdb8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f90d681036b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f90d6f8a738 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f90827fc700 (LWP 2408)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f7e8b9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f7e8e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f5963b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d680fd08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d681035b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90d6f8a738 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f9082ffd700 (LWP 2407)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f7e8b9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f7e8e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f5963b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d680fc58 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d681034b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90d6f8a738 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f90837fe700 (LWP 2406)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f7e8b9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f7e8e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f5963b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d680fba8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d681033b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90d6f8a738 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f9083fff700 (LWP 2405)):
#0  0x00007f90e73e1746 in epoll_pwait () from /lib64/libc.so.6
#1  0x00007f90cdc489e5 in ?? () from /usr/lib64/libevent-2.1.so.6
#2  0x00007f90cdc3e834 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f90d6f59c39 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d680faf8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d681032b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90d6f8a738 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f90a0b5c700 (LWP 2404)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f7e8b9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f7e8e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f5963b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d680fa48 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d681031b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90d6f8a738 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f90a135d700 (LWP 2403)):
#0  0x00007f90e18788bc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6fb7732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f8d949 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f8deab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f90a1b5e700 (LWP 2402)):
#0  0x00007f90e18788bc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6fb7732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f8d949 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f8deab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f90a235f700 (LWP 2401)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90d6f7e8b9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f90d6f7e8e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f90d6f5963b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f90d6f8a686 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f90a2b60700 (LWP 2400)):
#0  0x00007f90e73dd7f3 in tfind () from /lib64/libc.so.6
#1  0x00007f90e731ade3 in __dcigettext () from /lib64/libc.so.6
#2  0x00007f90e7372258 in strerror_r () from /lib64/libc.so.6
#3  0x00007f90e737217f in strerror () from /lib64/libc.so.6
#4  0x00007f90cdc47251 in event_warn () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f90cdc48b8c in ?? () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f90cdc3e834 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#7  0x00007f90d6f59c39 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f90d6f55f08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f90d6f72afb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f90d6f8a686 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f90d6f8678b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f90b2b8a700 (LWP 2387)):
#0  0x00007f90e73d711b in poll () from /lib64/libc.so.6
#1  0x00007f90dfa00d29 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f90dfa00e3c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f90e7d076ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f90e7cb035a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f90e7ae031a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f90e96daa45 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f90e7ae4d2e in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f90b3aa2700 (LWP 2382)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90c03660cb in util_queue_thread_func () from /usr/lib64/dri/r600_dri.so
#2  0x00007f90c0365e07 in impl_thrd_routine () from /usr/lib64/dri/r600_dri.so
#3  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f90b43ea700 (LWP 2381)):
#0  0x00007f90e187858d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f90c03660cb in util_queue_thread_func () from /usr/lib64/dri/r600_dri.so
#2  0x00007f90c0365e07 in impl_thrd_routine () from /usr/lib64/dri/r600_dri.so
#3  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f90c36a2700 (LWP 2380)):
#0  0x00007f90e73d711b in poll () from /lib64/libc.so.6
#1  0x00007f90df790387 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f90df79217a in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f90c57e74b9 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f90e7ae4d2e in ?? () from /usr/lib64/libQt5Core.so.5
#5  0x00007f90e18722e8 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f90e73e15df in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f90eb5ede00 (LWP 2321)):
[KCrash Handler]
#6  0x00007f90e9c0ad93 in QMapData<KEntryKey, KEntry>::findNode (this=0x720030, akey=...) at /usr/include/qt5/QtCore/qmap.h:284
#7  0x00007f90e9c0f6db in QMap<KEntryKey, KEntry>::constFind (akey=..., this=0x7f908400d960) at /usr/include/qt5/QtCore/qmap.h:861
#8  QMap<KEntryKey, KEntry>::find (akey=..., this=0x7f908400d960) at /usr/include/qt5/QtCore/qmap.h:868
#9  KEntryMap::findEntry (this=this@entry=0x7f908400d960, group=..., key=..., flags=...) at /usr/src/debug/kconfig-5.37.0/src/core/kconfigdata.cpp:74
#10 0x00007f90e9c0f7fb in KEntryMap::getEntry (this=this@entry=0x7f908400d960, group=..., key=..., defaultValue=..., flags=..., flags@entry=..., expand=0x7ffd7b443037) at /usr/src/debug/kconfig-5.37.0/src/core/kconfigdata.cpp:224
#11 0x00007f90e9c046c9 in KConfigPrivate::lookupData (this=this@entry=0x7f908400d940, group=..., key=key@entry=0x7f90b1502477 "searchLine", flags=..., flags@entry=..., expand=expand@entry=0x7ffd7b443037) at /usr/src/debug/kconfig-5.37.0/src/core/kconfig.cpp:1004
#12 0x00007f90e9c14505 in KConfigGroup::readEntry (this=this@entry=0x7ffd7b443210, key=key@entry=0x7f90b1502477 "searchLine", aDefault=...) at /usr/src/debug/kconfig-5.37.0/src/core/kconfiggroup.cpp:681
#13 0x00007f90e9c146cb in KConfigGroup::readEntry (this=this@entry=0x7ffd7b443210, key=key@entry=0x7f90b1502477 "searchLine", aDefault=aDefault@entry=0x0) at /usr/src/debug/kconfig-5.37.0/src/core/kconfiggroup.cpp:665
#14 0x00007f90b14e57b9 in Akregator::MainWidget::readProperties (this=0x54433a70c0, config=...) at /usr/src/debug/akregator-17.08.0/src/mainwidget.cpp:1194
#15 0x000000544164d6c1 in Akregator::MainWindow::readProperties (this=0x5442f766b0, config=...) at /usr/src/debug/akregator-17.08.0/src/mainwindow.cpp:156
#16 0x00007f90ea12f758 in KMainWindow::readPropertiesInternal (this=this@entry=0x5442f766b0, config=0x7f90a8012c80, number=number@entry=1) at /usr/src/debug/kxmlgui-5.37.0/src/kmainwindow.cpp:648
#17 0x00007f90ea12f7a2 in KMainWindow::restore (this=0x5442f766b0, number=1, show=<optimized out>) at /usr/src/debug/kxmlgui-5.37.0/src/kmainwindow.cpp:473
#18 0x000000544164b318 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/akregator-17.08.0/src/main.cpp:123

Reported using DrKonqi
Comment 1 Cruz Enrique 2017-10-15 08:56:34 UTC
Duplicate of https://bugs.kde.org/show_bug.cgi?id=378513 ?
Comment 2 Christoph Feck 2017-10-25 11:42:37 UTC
It looks related, but the backtrace is not a duplicate.
Comment 3 Anton Yashin 2017-11-25 09:13:03 UTC
Created attachment 109050 [details]
New crash information added by DrKonqi

akregator (5.5.3) using Qt 5.9.1

- What I was doing when the application crashed:

Application crashed while kde startup. Next launch succesful. Repeating every time at kde startup.

-- Backtrace (Reduced):
#6  0x00007f3001589ee3 in QMapData<KEntryKey, KEntry>::findNode (this=0x720030, akey=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:284
#7  0x00007f300158ed1b in QMap<KEntryKey, KEntry>::constFind (akey=..., this=0x7f2f5000b6a0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:861
#8  QMap<KEntryKey, KEntry>::find (akey=..., this=0x7f2f5000b6a0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:868
#9  KEntryMap::findEntry (this=this@entry=0x7f2f5000b6a0, group=..., key=..., flags=...) at ./src/core/kconfigdata.cpp:74
#10 0x00007f300158ee3b in KEntryMap::getEntry (this=this@entry=0x7f2f5000b6a0, group=..., key=..., defaultValue=..., flags=..., flags@entry=..., expand=0x7fff55ec4447) at ./src/core/kconfigdata.cpp:224
Comment 4 Anton Yashin 2017-11-25 09:13:03 UTC
Created attachment 109052 [details]
New crash information added by DrKonqi

akregator (5.5.3) using Qt 5.9.1

- What I was doing when the application crashed:

Application crashed while kde startup. Next launch succesful. Repeating every time at kde startup.

-- Backtrace (Reduced):
#6  0x00007f3001589ee3 in QMapData<KEntryKey, KEntry>::findNode (this=0x720030, akey=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:284
#7  0x00007f300158ed1b in QMap<KEntryKey, KEntry>::constFind (akey=..., this=0x7f2f5000b6a0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:861
#8  QMap<KEntryKey, KEntry>::find (akey=..., this=0x7f2f5000b6a0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:868
#9  KEntryMap::findEntry (this=this@entry=0x7f2f5000b6a0, group=..., key=..., flags=...) at ./src/core/kconfigdata.cpp:74
#10 0x00007f300158ee3b in KEntryMap::getEntry (this=this@entry=0x7f2f5000b6a0, group=..., key=..., defaultValue=..., flags=..., flags@entry=..., expand=0x7fff55ec4447) at ./src/core/kconfigdata.cpp:224
Comment 5 Fabian Vogt 2018-06-26 07:34:33 UTC
Does this still happen with akregator 18.04 and a more recent kconfig?
Comment 6 Christoph Feck 2018-07-18 16:19:03 UTC
If you can provide the information requested in comment #5, please add it.
Comment 7 Christoph Feck 2018-08-02 16:46:27 UTC
No response, assuming it is fixed. If you still have this issue, please add a comment, or reopen the ticket.